<div class="reverse-eligibility">
    <div id="matDialogContent">
        <form [formGroup]="reverseEligibilityGroup" autocomplete="off">
            <mat-dialog-content>
                <div fxLayout="row" fxLayout.lt-md="column" style="justify-content: center !important;">
                    <mat-label><b>Reverse Eligibility</b></mat-label>
                </div>
                <!-- <mat-divider></mat-divider> -->
                <br />
                <div fxLayout="row" fxLayout.lt-md="column">
                    <div fxLayout="column" fxLayoutAlign="start" fxFlex="100">
                        <det-client-banner [isHousingProgramType]="false" [canShowApplicationLink]="false"
                            [canShowClientCaseFolderLink]="false"></det-client-banner>
                    </div>
                </div>
                <br>
                <div fxLayout="column" flex>
                    <div fxLayout="row">
                        <div fxFlex="25" class="col1header"><span fxFlex="100">Agreement Type</span>
                        </div>
                        <div fxFlex="25" class="col2header"><span fxFlex="100">Eligibility</span></div>
                        <div fxFlex="50" class="col3header"><span fxFlex="100">Reason Ineligible</span></div>
                    </div>
                    <div fxLayout="row" fxLayoutGap="0px">
                        <div fxFlex="25" class="col1">
                            {{ detClinicalHomelessMedicaidSummary.agreementTypeName }}
                        </div>
                        <div fxFlex="25" class="col2">
                            {{ detClinicalHomelessMedicaidSummary.overallEligibilityDescription }}
                        </div>
                        <div fxFlex="50" class="col3">
                            {{ detClinicalHomelessMedicaidSummary.reasonInEligibleDescription }}
                        </div>
                    </div>
                </div>
                <br>

                <div fxLayout="column" flex *ngIf="overallEligibility === 678">
                    <mat-label class="redLabelBoldText">Reversal Reason:</mat-label>
                    <div fxLayout="row">
                        <mat-form-field appearance="outline" class="textarea">
                            <textarea matTextareaAutosize matAutosizeMinRows="3" matAutosizeMaxRows="6" matInput
                                #reversalReason name="reversalReason" required maxlength="2000" minlength="2"
                                formControlName="explainReversal"></textarea>
                        </mat-form-field>
                    </div>
                </div>

            </mat-dialog-content>
        </form>
    </div>
    <!-- <mat-divider></mat-divider> -->
    <div>
        <mat-dialog-actions>
            <div fxLayout="row" fxLayout.lt-md="column" class="divButtons">
                <div fxLayoutAlign="center">
                    <button type="button" mat-raised-button color="primary" matTooltip="Reverse"
                        matTooltipClass="pact-tooltip" (click)="reverse()" *ngIf="overallEligibility === 678">
                        Reverse
                    </button>
                    <button type="button" mat-raised-button color="primary" matTooltip="Unreverse"
                        matTooltipClass="pact-tooltip" (click)="reverse()" *ngIf="overallEligibility === 677">
                        Unreverse
                    </button>
                    &nbsp;&nbsp; <button type="button" mat-raised-button color="warn" matTooltip="Cancel"
                        matTooltipClass="pact-tooltip" (click)="closeDialog()">Cancel</button>
                </div>
            </div>
        </mat-dialog-actions>
    </div>
</div>